Advisory Details

June 16th, 2022

(Pwn2Own) OPC Foundation UA .NET Standard Improper Input Validation Authentication Bypass Vulnerability

ZDI-22-856
ZDI-CAN-17205

CVE ID CVE-2022-29865
CVSS SCORE 9.1, (AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:N)
AFFECTED VENDORS OPC Foundation
AFFECTED PRODUCTS UA .NET Standard
VULNERABILITY DETAILS


This vulnerability allows remote attackers to bypass authentication on affected installations of OPC Foundation UA .NET Standard. Authentication is not required to exploit this vulnerability.

The specific flaw exists within the handling of certificates. The issue results from the lack of proper validation of a user-supplied certificate. An attacker can leverage this vulnerability to bypass authentication on the system.

ADDITIONAL DETAILS OPC Foundation has issued an update to correct this vulnerability. More details can be found at:
https://files.opcfoundation.org/SecurityBulletins/OPC%20Foundation%20Security%20Bulletin%20CVE-2022-29865.pdf
DISCLOSURE TIMELINE
  • 2022-05-09 - Vulnerability reported to vendor
  • 2022-06-16 - Coordinated public release of advisory
  • 2022-06-16 - Advisory Updated
CREDIT Daan Keuper & Thijs Alkemade from Computest
BACK TO ADVISORIES